<div class="row justify-content-center">
  <div class="col col-sm-4">
    <ch-message-alert [message]="message"></ch-message-alert>
    <div *ngIf="message.error">
      <h5>{{'RESET.TITLE' | translate}}</h5>
      <br>
      <h6>{{'RESET.UPDATE_MESSAGE' | translate}}</h6>
      <form [formGroup]="resetPasswordForm"
            (ngSubmit)="onReset()"
            novalidate>
            <!-- New password -->
            <div class="form-group"
                [ngClass]="{
                  'has-danger': password.invalid && (password.dirty || password.touched),
                  'has-success': password.valid && (password.dirty || password.touched)
                }">
              <input id="password"
                  class="form-control"
                  [ngClass]="{
                    'form-control-danger': password.invalid,
                    'form-control-success': password.valid
                  }"
                  type="password"
                  placeholder="{{'RESET.NEW_PASSWORD_PLACEHOLDER' | translate}}"
                  formControlName="password">
              <small class="form-control-feedback"
                    *ngIf="!password.pristine && password.errors">
                    <div *ngIf="password.errors.required">{{'passwordRequired' | translate}}</div>
                    <div *ngIf="password.errors.pattern">{{'passwordNotValid' | translate}}</div>
              </small>
            </div><!-- end Password -->
            <!-- ConfirmPassword -->
            <div class="form-group"
                [ngClass]="{
                  'has-danger': !confirmPassword.valid && (confirmPassword.dirty || confirmPassword.touched),
                  'has-success': confirmPassword.valid && (confirmPassword.dirty || confirmPassword.touched)
                }">
              <input id="confirmPassword"
                    class="form-control"
                    [ngClass]="{
                      'form-control-danger': confirmPassword.invalid,
                      'form-control-success': confirmPassword.valid
                    }"
                    type="password"
                    placeholder="{{'confirmPasswordPlaceholder' | translate}}"
                    formControlName="confirmPassword">
              <small class="form-control-feedback"
                    *ngIf="!confirmPassword.pristine && confirmPassword.errors">
                    <div *ngIf="confirmPassword.errors.passwordsNotMatch">{{'passwordsNotMatched' | translate}}</div>
              </small>
            </div><!-- end ConfirmPassword -->
            <button class="btn btn-outline-success"
                    type="submit"
                    [disabled]="!resetPasswordForm.valid">{{'RESET.UPDATE_BTN' | translate}}</button>
                    <span>{{'orSignin' | translate}}</span>
            <button class="btn btn-link"
                    type="button"
                    [routerLink]="['/enter/login']">{{'signinTitle' | translate}}</button>
      </form>
    </div>
    <div *ngIf="message.error">
      <span>{{'RESET.SUCCESS_MESSAGE_1' | translate}}</span>
      <button class="btn btn-link"
              type="button"
              [routerLink]="['/enter/login']">{{'signinTitle' | translate}}</button>
      <span>{{'RESET.SUCCESS_MESSAGE_2' | translate}}</span>
    </div>
  </div>
</div>
